Bug 478627 - SELinux is preventing clamd.amavisd (clamd_t) "search" amavis_var_run_t.
SELinux is preventing clamd.amavisd (clamd_t) "search" amavis_var_run_t.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-02 07:08 EST by Anthony Messina
Modified: 2009-11-18 05:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:43:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2009-01-02 07:08:02 EST
Running in permissive mode... Using selinux-policy-targeted-3.5.13-37.fc10.noarch

Source Context                system_u:system_r:clamd_t:s0
Target Context                system_u:object_r:amavis_var_run_t:s0
Target Objects                ./amavisd [ dir ]
Source                        clamd.amavisd
Source Path                   /usr/sbin/clamd
Port                          <Unknown>
Host                          xxx.com
Source RPM Packages           clamav-server-0.94.2-1.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.13-37.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     xxx.com
Platform                      Linux xxx.com
                              2.6.27.7-134.fc10.x86_64 #1 SMP Mon Dec 1 22:21:35
                              EST 2008 x86_64 x86_64
Alert Count                   1
First Seen                    Fri 02 Jan 2009 05:29:18 AM CST
Last Seen                     Fri 02 Jan 2009 05:29:18 AM CST
Local ID                      f55efdd7-b671-45e8-849d-7fdb4485108a
Line Numbers                  

Raw Audit Messages            

node=xxx.com type=AVC msg=audit(1230895758.941:31): avc:  denied  { search } for  pid=3088 comm="clamd.amavisd" name="amavisd" dev=sdd3 ino=3554069 scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:amavis_var_run_t:s0 tclass=dir

node=xxx.com type=AVC msg=audit(1230895758.941:31): avc:  denied  { write } for  pid=3088 comm="clamd.amavisd" name="amavisd" dev=sdd3 ino=3554069 scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:amavis_var_run_t:s0 tclass=dir

node=xxx.com type=AVC msg=audit(1230895758.941:31): avc:  denied  { add_name } for  pid=3088 comm="clamd.amavisd" name="clamd.pid" scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:amavis_var_run_t:s0 tclass=dir

node=xxx.com type=AVC msg=audit(1230895758.941:31): avc:  denied  { write } for  pid=3088 comm="clamd.amavisd" name="clamd.pid" dev=sdd3 ino=3554068 scontext=system_u:system_r:clamd_t:s0 tcontext=system_u:object_r:amavis_var_run_t:s0 tclass=file

node=xxx.com type=SYSCALL msg=audit(1230895758.941:31): arch=c000003e syscall=2 success=yes exit=5 a0=f5e3c0 a1=241 a2=1b6 a3=7ff5aa04f6f0 items=0 ppid=3079 pid=3088 auid=4294967295 uid=496 gid=495 euid=496 suid=496 fsuid=496 egid=495 sgid=495 fsgid=495 tty=(none) ses=4294967295 comm="clamd.amavisd" exe="/usr/sbin/clamd" subj=system_u:system_r:clamd_t:s0 key=(null)
Comment 1 Anthony Messina 2009-01-22 12:54:36 EST
Sorry, I should have reported to selinux-policy-targeted
Comment 2 Miroslav Grepl 2009-02-03 14:04:26 EST
Fixed in selinux-policy-3.5.13-42.fc10
Comment 3 Bug Zapper 2009-11-18 05:37:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.